Bug 234310 - [NEW PORT] databases/mongodb40: Distributed document-oriented "NoSQL" database
Summary: [NEW PORT] databases/mongodb40: Distributed document-oriented "NoSQL" database
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-12-23 19:42 UTC by Eric Madrid
Modified: 2019-03-02 15:29 UTC (History)
6 users (show)

See Also:


Attachments
svn-diff (4.96 KB, patch)
2018-12-23 21:49 UTC, Kurt Jaeger
no flags Details | Diff
patch-v2 (5.67 KB, patch)
2018-12-24 04:42 UTC, Kurt Jaeger
no flags Details | Diff
New port: databases/mongodb40 (123.79 KB, patch)
2019-02-28 21:32 UTC, Andrew Shevchuk
no flags Details | Diff
New port: databases/mongodb40 (106.45 KB, patch)
2019-02-28 21:44 UTC, Andrew Shevchuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Madrid 2018-12-23 19:42:18 UTC
This is not really a bug, more of a request or question.

I included all the maintainers of the "Distributed document-oriented (NoSQL) database" listed at: https://www.freebsd.org/ports/databases.html

Kurt Jaeger / pi@FreeBSD.org recently upgraded the PHP to MongoDB extension for 12 and 13, from php72-pecl-mongodb-1.5.2 to php73-pecl-mongodb-1.5.3 w/ SSL works great, Thanks Kurt!

Does any of you have a desire or want to update the MongoDB port to 4.0?

Thanks for all the great work you all do to keep FreeBSD working great!

Cheers,

Eric.
Comment 1 Kurt Jaeger freebsd_committer 2018-12-23 20:46:25 UTC
Having such a port (databases/mongodb40) would be useful, yes.
Comment 2 Kurt Jaeger freebsd_committer 2018-12-23 21:49:08 UTC
Created attachment 200413 [details]
svn-diff

testbuilds@work
Comment 3 Kurt Jaeger freebsd_committer 2018-12-23 21:49:22 UTC
Here's a first cut...
Comment 4 Kurt Jaeger freebsd_committer 2018-12-24 04:42:46 UTC
Created attachment 200420 [details]
patch-v2

This was testbuild, looks fine.
Comment 5 Eric Madrid 2018-12-24 06:52:20 UTC
(In reply to Kurt Jaeger from comment #4)

Error on patching:

===>   mongodb40-4.0.5 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by mongodb40-4.0.5 for building
===>  Extracting for mongodb40-4.0.5
=> SHA256 Checksum OK for mongodb-src-r4.0.5.tar.gz.
===>  Patching for mongodb40-4.0.5
===>  Applying FreeBSD patches for mongodb40-4.0.5
1 out of 4 hunks failed--saving rejects to SConstruct.rej
=> FreeBSD patch patch-SConstruct failed to apply cleanly.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/databases/mongodb40
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/mongodb40

SConstruct.rej content:

@@ -1820,12 +1820,12 @@
         env.Append( CCFLAGS=["-fprofile-arcs", "-ftest-coverage"] )
         env.Append( LINKFLAGS=["-fprofile-arcs", "-ftest-coverage"] )

-    if optBuild and not optBuildForSize:
-        env.Append( CCFLAGS=["-O2"] )
-    elif optBuild and optBuildForSize:
-        env.Append( CCFLAGS=["-Os"] )
-    else:
-        env.Append( CCFLAGS=["-O0"] )
+    #if optBuild and not optBuildForSize:
+    #    env.Append( CCFLAGS=["-O2"] )
+    #elif optBuild and optBuildForSize:
+    #    env.Append( CCFLAGS=["-Os"] )
+    #else:
+    #    env.Append( CCFLAGS=["-O0"] )


Hope this helps.

Eric.
Comment 6 Eric Madrid 2018-12-24 07:50:24 UTC
(In reply to Kurt Jaeger from comment #4)

I noticed that the other versions have a mongodb36-tools folder as well.

Thanks for you help!

Eric.
Comment 7 Kurt Jaeger freebsd_committer 2018-12-24 12:52:20 UTC
(In reply to Eric Madrid from comment #5)
This is strange. Did you try to patch-v2 ? It builds here without issues.
Comment 8 Eric Madrid 2018-12-24 18:13:26 UTC
(In reply to Kurt Jaeger from comment #7)

ok, I copied and pasted the patch-v2/patch-SConstruct to files/patch-SConstruct
now I get:

=> SHA256 Checksum OK for mongodb-src-r4.0.5.tar.gz.
===>  Patching for mongodb40-4.0.5
===>  Applying FreeBSD patches for mongodb40-4.0.5
File to patch:

I am not sure what file/patch this is asking for.

Eric
Comment 9 Michal Booth 2019-01-21 22:31:25 UTC
(In reply to Kurt Jaeger from comment #4)
Works great, thank you!
Comment 10 Andrew Shevchuk 2019-02-28 04:17:49 UTC
https://github.com/ashevchuk/mongodb40-freebsd-port
Comment 11 Andrew Shevchuk 2019-02-28 21:32:01 UTC
Created attachment 202456 [details]
New port: databases/mongodb40
Comment 12 Andrew Shevchuk 2019-02-28 21:44:12 UTC
Created attachment 202457 [details]
New port: databases/mongodb40
Comment 13 Kurt Jaeger freebsd_committer 2019-03-02 10:31:35 UTC
testbuilding@work
Comment 14 Kurt Jaeger freebsd_committer 2019-03-02 13:10:55 UTC
Committed, thanks!
Comment 15 commit-hook freebsd_committer 2019-03-02 13:11:08 UTC
A commit references this bug:

Author: pi
Date: Sat Mar  2 13:10:51 UTC 2019
New revision: 494401
URL: https://svnweb.freebsd.org/changeset/ports/494401

Log:
  New port: databases/mongodb40

  Mongo (from "humongous") is a high-performance, open source,
  schema-free, document-oriented database. A common name in the
  "NOSQL" community.

  WWW: https://www.mongodb.com/

  PR:		234310
  Reported by:	Eric Madrid <eric@madrid.lol>
  Submitted by:	Andrew Shevchuk <dev.ashevchuk@gmail.com>
  Reviewed by:	Michael Booth <michal@wrotkowski.pl>

Changes:
  head/databases/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb36/Makefile
  head/databases/mongodb40/
  head/databases/mongodb40/Makefile
  head/databases/mongodb40/distinfo
  head/databases/mongodb40/files/patch-SConstruct
  head/databases/mongodb40/files/patch-src_mongo_util_time__support.cpp
  head/databases/mongodb40/pkg-plist
Comment 16 Andrew Shevchuk 2019-03-02 15:29:34 UTC
(In reply to Kurt Jaeger from comment #14)
Thanks!